Fulfillment API

Get Dispatch Notes

Get the most recent notes for the given dispatch, ordered by creation date descending. Returns up to 500 notes scoped to the caller’s customer ID and profile type.

get
https://fulfillment-api.centraldispatch.com/api/fulfillments/id/{dispatchId}/notes

Path Parameters

dispatchIdstring(uuid)required

The ID of the dispatch.

Example:d159acc0-e89b-12d3-a456-426614174000

Headers

Acceptstringrequired

The major version of the API to make a request against. This is a custom MIME type that contains vnd.coxauto.v[#]+. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to application/vnd.coxauto.v1+json.

Example:application/vnd.coxauto.v1+json

Response

application/json

OK. Successful request.

NoteCollection

A collection of notes.

hrefstring

The URL used to query the current collection of the resource.

Example:https://fulfillment-api.centraldispatch.com/api/fulfillments/id/d159acc0-e89b-12d3-a456-426614174000/notes

countinteger(int32)

The total count of resources in the collection.

Example:23

itemsarray[object]

Details of an internal load note.

Show Child Parameters
get/api/fulfillments/id/{dispatchId}/notes
 
application/json

AdditionalInformationRequest

object

Details of additional information.

namestring

The name of the additional information.

Example:contractedCarrier

valuestring

The value of the additional information.

Example:true

Example

AdditionalInformationResponse

object

Details of additional information.

attributeNamestring

Additional information (name, value pairs).

Example:contractedCarrier

valuestring

The name of the additional information.

Example:true

Example

AddressRequest

object

Details of an address.

address1string

The street address.

Example:345 W Elm St.

address2string

Additional street address line.

Example:2nd Floor

citystring

The city.

Example:Anaheim

statestring

The state.

Example:CA

zipCodestring

The ZIP code. Must be a valid United States ZIP code or Canadian postal code.

Example:92802

countryCodestring

The country code. US or CA.

Default:US

Example:US

Example

AssignDriverRequest

object

Details of driver patch operation.

opstring

The operation to be performed. Values: ADD, REMOVE.

Example:ADD

pathstring

The path to the property to be modified.

Example:/drivers/drivers/-

valuesarray[object]

Details of driver patch operation.

Show Child Parameters
Example